<script>
    import TaskTableRow from '@/Pages/Tasks/Components/TaskTableRow.vue'
    export default {
        name: 'TaskTable',
        props: {
            'isHidden': Boolean,
        },
        components: {
            TaskTableRow
        }
    }
</script>

<template>
    <div className="overflow-x-auto relative shadow-md sm:rounded-t">
        <table className="w-full text-sm text-right text-gray-500">
            <thead className="text-sm text-gray-100 uppercase bg-gray-900">
                <tr>
                    <th scope="col" className="py-3 px-6" :hidden="isHidden">
                        عنوان المهمة
                    </th>
                    <th scope="col" className="py-3 px-6">
                        تاريخ الانشاء
                    </th>
                    <th scope="col" className="py-3 px-6" :hidden="isHidden">
                        مباشرة | تحويل
                    </th>
                    <th scope="col" className="py-3 px-6">
                        من
                    </th>
                    <th scope="col" className="py-3 px-6">
                        إلى
                    </th>
                    <th scope="col" className="py-3 px-6">
                        حالة المهمة
                    </th>
                    <th scope="col" className="py-3 px-6">
                        <span className="sr-only">Edit</span>
                    </th>
                </tr>
            </thead>
            <tbody>
                <!-- {props.children} -->
                <slot />
            </tbody>
        </table>
    </div>
</template>
